Page MenuHomePhabricator

New usermessage browser test is blocking merges in Minerva skin and Echo extension
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/406633/ introduced a browser test that is not compatible with the Echo extension and thus the Minerva skin.

Echo magically moves the usermessage div and when the browser test runs it cannot find the element in the page.

All patches in Minerva and Echo are currently rejected by Jenkins (and we can't override verified).
e.g. https://integration.wikimedia.org/ci/job/mediawiki-core-qunit-selenium-jessie/13853/console on patch https://gerrit.wikimedia.org/r/#/c/406618/
AND
https://gerrit.wikimedia.org/r/#/c/405371/

It seems strange as the screenshot for the failure shows that the element is present in the page so it's unclear why this fails from the information provided.

Unrelated to Jenkins failure but worth considering:
It's also not clear why this browser test is in core given that the usermessage div is created by skins. Some skins do not make use of it, notably Minerva.

Event Timeline

Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptJan 29 2018, 8:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 406633 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/core@master] Revert "selenium: add new message banner test to user spec"

https://gerrit.wikimedia.org/r/406633

Jdlrobson triaged this task as Unbreak Now! priority.Jan 29 2018, 8:07 PM
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptJan 29 2018, 8:07 PM
Jdlrobson updated the task description. (Show Details)Jan 29 2018, 8:21 PM
Jdlrobson renamed this task from New usermessage browser test is blocking merges in Minerva skin to New usermessage browser test is blocking merges in Minerva skin and Echo extension.Jan 29 2018, 8:34 PM
Jdlrobson added a project: Notifications.
Jdlrobson updated the task description. (Show Details)
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 29 2018, 8:34 PM

Change 406633 merged by jenkins-bot:
[mediawiki/core@master] Revert "selenium: add new message banner test to user spec"

https://gerrit.wikimedia.org/r/406633

It's also not clear why this browser test is in core given that the usermessage div is created by skins. Some skins do not make use of it, notably Minerva.

Sounds like this test indeed shouldn't live in core then, unless there is some other element that can be checked, but I doubt it.

Can this be closed as resolved now that the revert has happened?

The test could be restored in Vector. This would give us coverage for desktop at least, but it may need to be updated to be compatible with Echo.

I'd leave that decision up to those who originally worked on this, but yes if that's not going to happen this can be closed.

Jdlrobson lowered the priority of this task from Unbreak Now! to Normal.Jan 31 2018, 4:26 PM

It could indeed be moved to Vector, do vector browser tests get run with mediawiki core merges?
@zeljkofilipin any idea? :)

do vector browser tests get run with mediawiki core merges?

No, since Vector has no tests at all. :)

It could indeed be moved to Vector

Do you volunteer? ;)

It could indeed be moved to Vector

Tracked in T187859.

It could indeed be moved to Vector, do vector browser tests get run with mediawiki core merges?

Just checked, they do! :)

 - name: mediawiki/skins/Vector
   template:
    - name: mwgate-composer
    - name: mwgate-npm
    - name: skin-tests
   test:
    - mediawiki-core-qunit-selenium-jessie
   gate-and-submit: &mediawiki-skins-vector-gate-and-submit
    - mediawiki-core-qunit-selenium-jessie
gate-and-submit-swat: *mediawiki-skins-vector-gate-and-submit

https://phabricator.wikimedia.org/source/integration-config/browse/master/zuul/layout.yaml;798cef23962bfd4e0d5da4c3f031e84b4d036246$2145-2149

Change 413157 had a related patch set uploaded (by Zfilipin; owner: Addshore):
[mediawiki/skins/Vector@master] WIP Move one Selenium tests from mediawiki/core

https://gerrit.wikimedia.org/r/413157

zeljkofilipin closed this task as Resolved.Feb 21 2018, 1:20 PM
zeljkofilipin moved this task from Next 🔜 to In Progress 🔨 on the User-zeljkofilipin board.

Resolved in T187859. Please reopen or comment if there is something else to do here.